<template>
    <div class="layout-box2" :class="{'full-screen':fullScreen}">
        <div class="layout-box2-bottom-border border-left"></div>
        <div class="layout-box2-bottom-border border-right"></div>
        <div class="layout-box2-content">
            <slot></slot>
        </div>
    </div>
</template>

<script>
export default {
    name: "LayoutBox2",
    props: {
        fullScreen: {
            type: Boolean,
            default: false
        }
    },
    data() {
        return {}
    }
}
</script>

<style scoped>
.layout-box2 {
    position: relative;
    height: 100%;
    border: 2px solid #061c65;
}
.layout-box2.full-screen {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 2px;
    right: 0;
    height: auto;
    z-index: 9;
    background-image: url("../assets/images/video-bg.jpg");
}
.layout-box2:before,
.layout-box2:after,
.layout-box2-bottom-border {
    content: " ";
    display: block;
    position: absolute;
    width: 48px;
    height: 48px;
    z-index: 1;
}

.layout-box2:before,
.layout-box2:after {
    border-top: 4px solid #0069bc;
    top: -2px;
}

.layout-box2-bottom-border.border-left,
.layout-box2-bottom-border.border-right {
    border-bottom: 4px solid #0069bc;
    bottom: -2px;
}

.layout-box2:before,
.layout-box2-bottom-border.border-left {
    left: -2px;
    border-left: 4px solid #0069bc;
}

.layout-box2:after,
.layout-box2-bottom-border.border-right {
    right: -2px;
    border-right: 4px solid #0069bc;
}

.layout-box2-content {
    height: 100%;
}
</style>